LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInteractionSupplyAuthentication2 Interface Reference

An interaction continuation handing back some authentication data. More...

`import"XInteractionSupplyAuthentication2.idl";`

Inheritance diagram for XInteractionSupplyAuthentication2:

## Public Member Functions
boolean | canUseSystemCredentials ([out] boolean Default)
| Specifies if "system credentials" can be obtained and used by the issuer of the authentication request. More...
void | setUseSystemCredentials ([in] boolean UseSystemCredentials)
| Set a new "use system credentials" value to hand back. More...
Public Member Functions inherited from XInteractionSupplyAuthentication
boolean | canSetRealm ()
| Specifies if a new "realm" value can be handed back. More...
void | setRealm ([in] string Realm)
| Set a new "realm" value to hand back. More...
boolean | canSetUserName ()
| Specifies if a "user name" value can be handed back. More...
void | setUserName ([in] string UserName)
| Set a new "user name" value to hand back. More...
boolean | canSetPassword ()
| Specifies if a "password" value can be handed back. More...
void | setPassword ([in] string Password)
| Set a new "password" value to hand back. More...
sequence< com::sun::star::ucb::RememberAuthentication > | getRememberPasswordModes ([out] com::sun::star::ucb::RememberAuthentication Default)
| Specifies the available modes of how long to remember the password. More...
void | setRememberPassword ([in] com::sun::star::ucb::RememberAuthentication Remember)
| Set a new mode of how long to remember the password. More...
boolean | canSetAccount ()
| Specifies if an "account" value can be handed back. More...
void | setAccount ([in] string Account)
| Set a new "account" value to hand back. More...
sequence< com::sun::star::ucb::RememberAuthentication > | getRememberAccountModes ([out] com::sun::star::ucb::RememberAuthentication Default)
| Specifies the available modes of how long to remember the account. More...
void | setRememberAccount ([in] com::sun::star::ucb::RememberAuthentication Remember)
| Set a new mode of how long to remember the account. More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction continuation handing back some authentication data.

This continuation is typically used in conjunction with AuthenticationRequest.

Since
  OOo 3.2

## Member Function Documentation

## ◆ canUseSystemCredentials()

boolean canUseSystemCredentials | ( | [out] boolean | Default | ) |

Specifies if "system credentials" can be obtained and used by the issuer of the authentication request.

Parameters

  Default | Returns the default behavior for system credentials handling (to be initially displayed to the user).

Returns
  `TRUE` if the issuer is able to obtain and use system credentials. `FALSE` otherwise.

## ◆ setUseSystemCredentials()

void setUseSystemCredentials | ( | [in] boolean | UseSystemCredentials | ) |

Set a new "use system credentials" value to hand back.

Parameters

  UseSystemCredentials | `TRUE` means the request issuer shall obtain and use system credentials.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XInteractionSupplyAuthentication2.idl